Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# String Class Reference
[Unicode core]

Inheritance diagram for String:

## Detailed Description

Abstract unicode string class.

Colorer defines a set of basic classes to represent Unicode strings. These are

- String - abstract class.
- DString - dynamic string class - works just like filter of some Unicode or ANSI char stream.
- SString - static independent string.

## Public Methods
virtual wchar | operator[] (int i) const=0
virtual int | length () const=0
| String length in unicode characters.
bool | operator== (const String &str) const
| Checks, if two strings are equals.
bool | operator== (const char *str) const
| Checks, if two strings are equals.
bool | operator!= (const String &str) const
| Checks, if two strings are not equals.
bool | operator!= (const char *str) const
| Checks, if two strings are not equals.
bool | operator> (const String &str) const
| Checks, if this string lexically 'more', than `str.`
bool | operator< (const String &str) const
| Checks, if this string lexically 'less', than `str.`
bool | equals (const String *str) const
| Checks, if two strings are equals.
bool | equals (const char *str) const
| Checks, if two strings are equals.
bool | equalsIgnoreCase (const String *str) const
| Checks, if two strings are equals, ignoring Case Folding.
int | compareTo (const String &str) const
| Compares two strings.
int | compareToIgnoreCase (const String &str) const
| Compares two strings ignoring case.
virtual int | getWChars (wchar **chars) const
| Copies content of string into array of wchars.
virtual int | getBytes (byte **bytes, int encoding=-1) const
| Copies content of string into array of bytes, using specified encoding.
virtual const char * | getChars (int encoding=-1) const
| Returns string content in internally supported character array.
virtual const wchar * | getWChars () const
| Returns string content in internally supported unicode character array.
virtual int | indexOf (wchar wc, int pos=0) const
| Searches first index of char `wc,` starting from `pos.`
virtual int | indexOf (const String &str, int pos=0) const
| Searches first index of substring `str,` starting from `pos.`
virtual int | indexOfIgnoreCase (const String &str, int pos=0) const
| Searches first index of substring `str,` starting from `pos` ignoring character case.
virtual int | lastIndexOf (wchar wc, int pos=-1) const
| Searches last index of character `wc,` ending with `pos.`
virtual int | lastIndexOf (const String &str, int pos=-1) const
| Searches last index of substring `str,` ending with `pos.`
virtual bool | startsWith (const String &str, int pos=0) const
| Tests, if string starts with specified `str` substring at position `pos.`
String * | replace (const String &pattern, const String &newstring) const
| Creates new String instance, and replaces there any matched `pattern` to `newstring.`
int | hashCode () const
| Internal hashcode of string.

## Member Function Documentation

int String::compareTo | ( | const String & | str | ) | const

| Compares two strings. Returns: -1 if this < str; 0 if this == str; 1 if this > str;

int String::compareToIgnoreCase | ( | const String & | str | ) | const

| Compares two strings ignoring case. Returns: -1 if this < str; 0 if this == str; 1 if this > str;

Colorer-take5 Library. Copyright © 1999-2003 Cail Lomecb.
Generated at Fri Sep 12 18:54:57 2003 by doxygen 1.3-rc2.